using System;
using System.Collections.Generic;
using System.Linq;
using SqlSugar;
namespace Models
{
    /// <summary>
    /// 物料
    ///</summary>
    [SugarTable("zx_material")]
    public class ZxMaterialEntity
    {
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true)]
        public int Id { get; set; }
        
        /// <summary>
        /// 备  注:物料编码
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_code")]
        public string MaterialCode { get; set; }

        /// <summary>
        /// 备  注:物料名称
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_name")]
        public string MaterialName { get; set; } = null;

        /// <summary>
        /// 备  注:物料类型
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_type")]
        public string MaterialType { get; set; } = null;

        /// <summary>
        /// 备  注:子类型
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "child_type")]
        public string ChildType { get; set; } = null;

        /// <summary>
        /// 备  注:是否已删除
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "is_deleted")]
        public bool? IsDeleted { get; set; }

        /// <summary>
        /// 备  注:是否使用
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "is_use")]
        public bool? IsUse { get; set; }


    }

}